import { Params } from '../interface/core.interface';
import { ILanguage } from '../interface/language.interface';

export class GetLanguageAction {
  static readonly type = '[Language] Get';
  constructor(public payload?: Params) {}
}

export class SetDefaultLanguageAction {
  static readonly type = '[Language] Set';
  constructor(public language: ILanguage) {}
}
